
#include <stdio.h>
#include <string.h>
#include <tonc.h>
#include <maxmod.h>
#include "soundbank.h"
#include "soundbank_bin.h"

int main()
{

int selectedsong =0;

	// Init interrupts and VBlank irq.
	irq_init(NULL);
	irq_add(II_VBLANK, mmVBlank);
	mmInitDefault( (mm_addr)soundbank_bin, 8 );
	
	// Video mode 0, enable bg 0.
	REG_DISPCNT= DCNT_MODE0 | DCNT_BG0;
	
	// Init 4bpp vwf text on bg 0.
	tte_init_chr4c(0, 			// BG 0
		BG_CBB(0)|BG_SBB(31),	// Charblock 0; screenblock 31
		0xF000,					// Screen-entry offset
		bytes2word(1,2,0,0),	// Color attributes.
		CLR_WHITE, 				// White text
		&verdana9Font,			// Verdana 9 font
		NULL					// Use default chr4 renderer
		);
		
	tte_init_con();
	

	tte_printf("#{es}");
	tte_printf("#{P:0,0}   Music Test\n");
	//tte_printf("Song: ");
	//tte_printf("%d",selectedsong);
	mmStart( selectedsong, MM_PLAY_LOOP );
	
	while(1)
	{
		    // if (key_hit(KEY_DOWN)){
		    	// selectedsong++;
	           // if (selectedsong > (MSL_NSONGS - 1)){
	        	   // selectedsong = (MSL_NSONGS - 1);
			   // }

	// tte_printf("#{es}");
	// tte_printf("#{P:0,0}   Music Test\n");
	// tte_printf("Song: ");
	// tte_printf("%d",selectedsong);
	

			// }else if (key_hit(KEY_UP)){
				// selectedsong = selectedsong - 1;

			   // if (selectedsong < 0){
				   // selectedsong = 0;
			   // }
	// tte_printf("#{es}");
	// tte_printf("#{P:0,0}   Music Test\n");
	// tte_printf("Song: ");
	// tte_printf("%d",selectedsong);;
	
			// }else if (key_hit(KEY_B)){
 // mmStop();
			// }else if (key_hit(KEY_A)){
			// mmStart( selectedsong, MM_PLAY_LOOP );
			// }			
	
	
		VBlankIntrWait();
		mmFrame();
		// key_poll();
	}
	
	return 0;
}
